import _classCallCheck from '@babel/runtime/helpers/classCallCheck';
import _createClass from '@babel/runtime/helpers/createClass';
import _inherits from '@babel/runtime/helpers/inherits';
import _possibleConstructorReturn from '@babel/runtime/helpers/possibleConstructorReturn';
import _getPrototypeOf from '@babel/runtime/helpers/getPrototypeOf';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../StatelessComponent.js';

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }
/**
 * A component corresponding the content rendered inside the callout of the keytip component.
 * {@docCategory Keytips}
 */

var KeytipContentBase = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(KeytipContentBase, _StatelessComponent);

  var _super = _createSuper(KeytipContentBase);

  function KeytipContentBase() {
    _classCallCheck(this, KeytipContentBase);

    return _super.apply(this, arguments);
  }

  _createClass(KeytipContentBase, [{
    key: "render",
    value: function render(h, ctx) {
      var _ctx$props = ctx.props,
          content = _ctx$props.content,
          styles = _ctx$props.styles,
          theme = _ctx$props.theme,
          disabled = _ctx$props.disabled,
          visible = _ctx$props.visible;
      var getClassNames = classNamesFunction();
      var classNames = getClassNames(styles, {
        theme: theme,
        disabled: disabled,
        visible: visible
      });
      return h("div", {
        "class": classNames.container
      }, [h("span", {
        "class": classNames.root
      }, [content])]);
    }
  }]);

  return KeytipContentBase;
}(StatelessComponent);

export { KeytipContentBase };
