import _classCallCheck from '@babel/runtime/helpers/classCallCheck';
import _inherits from '@babel/runtime/helpers/inherits';
import _possibleConstructorReturn from '@babel/runtime/helpers/possibleConstructorReturn';
import _getPrototypeOf from '@babel/runtime/helpers/getPrototypeOf';
import { __decorate, __metadata } from 'tslib';
import { Prop, Component as Component$1 } from 'vue-property-decorator';
import { getTheme } from '@uifabric/styling';
import { Component } from 'vue-tsx-support';

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var StatelessComponent = /*#__PURE__*/function (_TsxComponent) {
  _inherits(StatelessComponent, _TsxComponent);

  var _super = _createSuper(StatelessComponent);

  function StatelessComponent() {
    _classCallCheck(this, StatelessComponent);

    return _super.apply(this, arguments);
  }

  return StatelessComponent;
}(Component);

__decorate([Prop({
  type: [String, Array],
  default: ''
}), __metadata("design:type", String)], StatelessComponent.prototype, "className", void 0);

__decorate([Prop({
  type: [Object, Function],
  default: function _default() {}
}), __metadata("design:type", Object)], StatelessComponent.prototype, "styles", void 0);

__decorate([Prop({
  type: Object,
  default: function _default() {
    return getTheme();
  }
}), __metadata("design:type", Object)], StatelessComponent.prototype, "theme", void 0);

StatelessComponent = __decorate([Component$1({
  // @ts-ignore
  functional: true,
  provide: {}
})], StatelessComponent);
var StatelessComponent$1 = StatelessComponent;

export default StatelessComponent$1;
