import BaseComponent from '../BaseComponent';
import { Point } from '@uifabric-vue/utilities';
import { ICalloutProps } from '../Callout';
/**
 * A callout corresponding to another Fabric component to describe a key sequence that will activate that component
 */
export declare class Keytip extends BaseComponent {
    keySequences: string[];
    offset: Point;
    overflowSetSequence: string[];
    calloutProps: ICalloutProps;
    render(): JSX.Element;
}
//# sourceMappingURL=Keytip.d.ts.map