import _classCallCheck from '@babel/runtime/helpers/classCallCheck';
import _createClass from '@babel/runtime/helpers/createClass';
import _inherits from '@babel/runtime/helpers/inherits';
import _possibleConstructorReturn from '@babel/runtime/helpers/possibleConstructorReturn';
import _getPrototypeOf from '@babel/runtime/helpers/getPrototypeOf';
import { __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../../StatelessComponent.js';

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }
var getClassNames = classNamesFunction();

var ShimmerCircleBase = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(ShimmerCircleBase, _StatelessComponent);

  var _super = _createSuper(ShimmerCircleBase);

  function ShimmerCircleBase() {
    _classCallCheck(this, ShimmerCircleBase);

    return _super.apply(this, arguments);
  }

  _createClass(ShimmerCircleBase, [{
    key: "render",
    value: function render(h, ctx) {
      var _ctx$props = ctx.props,
          height = _ctx$props.height,
          styles = _ctx$props.styles,
          borderStyle = _ctx$props.borderStyle,
          theme = _ctx$props.theme;
      var classNames = getClassNames(styles, {
        theme: theme,
        height: height,
        borderStyle: borderStyle
      });
      return h("div", {
        "class": classNames.root
      }, [h("svg", {
        "attrs": {
          "viewBox": "0 0 10 10",
          "width": height,
          "height": height
        },
        "class": classNames.svg
      }, [h("path", {
        "attrs": {
          "d": "M0,0 L10,0 L10,10 L0,10 L0,0 Z M0,5 C0,7.76142375 2.23857625,10 5,10 C7.76142375,10 10,7.76142375 10,5 C10,2.23857625 7.76142375,2.22044605e-16 5,0 C2.23857625,-2.22044605e-16 0,2.23857625 0,5 L0,5 Z"
        }
      })])]);
    }
  }]);

  return ShimmerCircleBase;
}(StatelessComponent);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], ShimmerCircleBase.prototype, "height", void 0);

__decorate([Prop({
  type: String,
  default: 'auto'
}), __metadata("design:type", String)], ShimmerCircleBase.prototype, "width", void 0);

ShimmerCircleBase = __decorate([Component], ShimmerCircleBase);

export { ShimmerCircleBase };
