import _classCallCheck from '@babel/runtime/helpers/classCallCheck';
import _createClass from '@babel/runtime/helpers/createClass';
import _inherits from '@babel/runtime/helpers/inherits';
import _possibleConstructorReturn from '@babel/runtime/helpers/possibleConstructorReturn';
import _getPrototypeOf from '@babel/runtime/helpers/getPrototypeOf';
import { __decorate, __metadata } from 'tslib';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../../StatelessComponent.js';

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }
var getClassNames = classNamesFunction();

var ShimmerGapBase = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(ShimmerGapBase, _StatelessComponent);

  var _super = _createSuper(ShimmerGapBase);

  function ShimmerGapBase() {
    _classCallCheck(this, ShimmerGapBase);

    return _super.apply(this, arguments);
  }

  _createClass(ShimmerGapBase, [{
    key: "render",
    value: function render(h, ctx) {
      var _ctx$props = ctx.props,
          height = _ctx$props.height,
          styles = _ctx$props.styles,
          _ctx$props$width = _ctx$props.width,
          width = _ctx$props$width === void 0 ? '10px' : _ctx$props$width,
          borderStyle = _ctx$props.borderStyle,
          theme = _ctx$props.theme;
      var classNames = getClassNames(styles, {
        theme: theme,
        height: height,
        borderStyle: borderStyle
      });
      return h("div", {
        "style": {
          width: width,
          minWidth: typeof width === 'number' ? "".concat(width, "px") : 'auto'
        },
        "class": classNames.root
      });
    }
  }]);

  return ShimmerGapBase;
}(StatelessComponent);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], ShimmerGapBase.prototype, "height", void 0);

__decorate([Prop({
  type: String,
  default: 'auto'
}), __metadata("design:type", String)], ShimmerGapBase.prototype, "width", void 0);

ShimmerGapBase = __decorate([Component], ShimmerGapBase);

export { ShimmerGapBase };
